Cashier
7 API calls in this section.
List Tables (Cashier)
Restaurant Menu / Cashier
GET
/restaurant/cashier/tables?location_id={{location_id}}&page=1&limit=10Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/restaurant/cashier/tables?location_id={{location_id}}&page=1&limit=10" \2 --header "Authorization: Bearer {{access_token}}"Query parameters
location_idOptionalquery string
{{location_id}}
pageOptionalquery string
1
limitOptionalquery string
10
Headers
AuthorizationOptionalheader string
Bearer {{access_token}}
Responses
No response example is available for this endpoint yet.
List Dine-In Orders (Cashier)
Restaurant Menu / Cashier
GET
/restaurant/cashier/orders/dine-in?location_id={{location_id}}&status=&page=1&limit=10&append=falseSend a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/restaurant/cashier/orders/dine-in?location_id={{location_id}}&status=&page=1&limit=10&append=false" \2 --header "Authorization: Bearer {{access_token}}"Query parameters
location_idOptionalquery string
{{location_id}}
statusOptionalquery string
pageOptionalquery string
1
limitOptionalquery string
10
appendOptionalquery string
false
Headers
AuthorizationOptionalheader string
Bearer {{access_token}}
Responses
No response example is available for this endpoint yet.
List Takeout Orders (Cashier)
Restaurant Menu / Cashier
GET
/restaurant/cashier/orders/takeout?location_id={{location_id}}&status=&page=1&limit=10&append=falseSend a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/restaurant/cashier/orders/takeout?location_id={{location_id}}&status=&page=1&limit=10&append=false" \2 --header "Authorization: Bearer {{access_token}}"Query parameters
location_idOptionalquery string
{{location_id}}
statusOptionalquery string
pageOptionalquery string
1
limitOptionalquery string
10
appendOptionalquery string
false
Headers
AuthorizationOptionalheader string
Bearer {{access_token}}
Responses
No response example is available for this endpoint yet.
List Delivery Orders (Cashier)
Restaurant Menu / Cashier
GET
/restaurant/cashier/orders/delivery?location_id={{location_id}}&status=&page=1&limit=10&append=falseSend a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/restaurant/cashier/orders/delivery?location_id={{location_id}}&status=&page=1&limit=10&append=false" \2 --header "Authorization: Bearer {{access_token}}"Query parameters
location_idOptionalquery string
{{location_id}}
statusOptionalquery string
pageOptionalquery string
1
limitOptionalquery string
10
appendOptionalquery string
false
Headers
AuthorizationOptionalheader string
Bearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Get Order Detail (Cashier)
Restaurant Menu / Cashier
GET
/restaurant/cashier/orders/:orderIdSend a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/restaurant/cashier/orders/:orderId" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
orderIdRequiredpath string
Headers
AuthorizationOptionalheader string
Bearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Mark Pay-At-Counter Order Paid
Restaurant Menu / Cashier
POST
/restaurant/cashier/orders/:orderId/mark-paidSend a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request POST "$ONDI_BASE_URL/restaurant/cashier/orders/:orderId/mark-paid" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
orderIdRequiredpath string
Headers
AuthorizationOptionalheader string
Bearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Close Session
Restaurant Menu / Cashier
POST
/restaurant/cashier/sessions/:sessionId/closeSend a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request POST "$ONDI_BASE_URL/restaurant/cashier/sessions/:sessionId/close" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
sessionIdRequiredpath string
Headers
AuthorizationOptionalheader string
Bearer {{access_token}}
Responses
No response example is available for this endpoint yet.